org.modeshape.jcr.query.xpath

## Class XPathToQueryTranslator.RelativePathLikeExpressions

- java.lang.Object
- - org.modeshape.jcr.query.xpath.XPathToQueryTranslator.RelativePathLikeExpressions

- All Implemented Interfaces:
    Iterable<String>
  Enclosing class:
    XPathToQueryTranslator

      protected static class XPathToQueryTranslator.RelativePathLikeExpressions
      extends Object
      implements Iterable<String>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `depth`
    `protected XPathToQueryTranslator.DepthMode` | `depthMode`
    `protected List<String>` | `paths`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XPathToQueryTranslator.RelativePathLikeExpressions()`
    `protected` | `XPathToQueryTranslator.RelativePathLikeExpressions(String[] paths, int depth, XPathToQueryTranslator.DepthMode depthMode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isEmpty()`
    `Iterator<String>` | `iterator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### paths

          protected final List<String> paths

    - #### depth

          protected final int depth

    - #### depthMode

          protected final XPathToQueryTranslator.DepthMode depthMode

  - ### Constructor Detail

    - #### XPathToQueryTranslator.RelativePathLikeExpressions

          protected XPathToQueryTranslator.RelativePathLikeExpressions()

    - #### XPathToQueryTranslator.RelativePathLikeExpressions

          protected XPathToQueryTranslator.RelativePathLikeExpressions(String[] paths,
                                                            int depth,
                                                            XPathToQueryTranslator.DepthMode depthMode)

  - ### Method Detail

    - #### isEmpty

          protected boolean isEmpty()

    - #### iterator

          public Iterator<String> iterator()

      Specified by:
        `iterator` in interface `Iterable<String>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.